Skip to main content
GET
/
v1
/
agents
/
{agent_id}
/
wallet
Get wallet
curl --request GET \
  --url https://api.gigabrain.gg/v1/agents/{agent_id}/wallet \
  --header 'Authorization: Bearer <token>'
{
  "wallet_id": "<string>",
  "address": "<string>",
  "agent_address": "<string>",
  "exchange": "hyperliquid",
  "chain_type": "ethereum",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

Your Gigabrain API key. Get one at https://gigabrain.gg/profile?tab=api. Format: gb_sk_...

Path Parameters

agent_id
string<uuid>
required

The agent's unique identifier

Response

Wallet details

wallet_id
string
address
string

Wallet address

agent_address
string | null

Populated after wallet activation

exchange
string
default:hyperliquid
chain_type
string
default:ethereum
status
string

Wallet status (e.g. pending, active)